@import url(./Ubuntu-Regular.ttf);
@import url(./Ubuntu-Bold.ttf);

body {
    width: 100%;
    background: url(./background.png);
    background-size: cover;
    background-repeat: no-repeat;
    font-family: 'Ubuntu', sans-serif;
}

a {
    text-decoration: none;
    color: #ffffff;
}

button {
    cursor: pointer;
}

.global-wrapper {
    width: 1364;
    height: 770;
    margin: auto;
}

.header {
    width: 100%;
    height: 58px;
    background: rgba(0, 0, 0, 0.4);
    margin-bottom: 54px;
    display: flex;
    align-items: center;
}

.site-name,
.create-account-btn,
.header-greeting {
    color: #ffffff;
    transition: .3s ease;
}

.site-name {
    text-decoration: none;
    font-weight: 700px;
    font-size: 22px;
    text-transform: uppercase;
    margin-right: auto;
    margin-left: 79px;
}

.header-greeting {
    margin-right: 79px;
    vertical-align: middle;
}

.header-icons svg {
    margin-left: 26px;
    transition: .3s ease;
}

.header-line {
    height: 19px;
    border-color: rgba(255, 255, 255, 0.9);
    margin: 0 26px 0;
}

.form-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 74px;
}

.form {
    width: 444px;
    background: #ffffff;
    position: relative;
}

.form-items-wrapper {
    width: 324px;
    margin: 30px auto 38px;
}

.green-square {
    height: 18px;
    width: 18px;
    background-color: #3CB878;
    position: absolute;
    top: 32px;
    left: 0;
}

.sign-and-log {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 14px;
}

.sign-up {
    font-size: 20px;
}

.log-in {
    color: #3CB878;
    font-size: 14px;
    text-decoration: none;
    transition: .3s ease;
}

.facebook-and-google-btn {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 31px;
}

.facebook-btn, 
.google-btn {
    border: none;
    border-radius: 4px;
    color: #ffffff;
    transition: .3s ease;
}

.facebook-btn {
    background-color: #305DB8;
    padding: 17px 22px 17px 67px;
}

.google-btn {
    background-color: #DF4A32;
    padding: 17px 22px 17px 85px;
}

.facebook-btn-wrapper,
.google-btn-wrapper {
    position: relative;
}

.facebook-logo {
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    left: 15px;
}

.google-logo {
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    left: 12px;
}

.side-line {
    text-align: center;
    overflow: hidden;
    margin-bottom: 10px;
}

.side-line span {
    font-size: 14px;
    color: #848484;
}

.side-line::before,
.side-line::after {
    content: '';
    display: inline-block;
    vertical-align: middle;
    width: 100%;
    height: 1px;
    background-color: #848484;
}

.side-line::before {
    margin-left: -100%;
}

.side-line::after {
    margin-right: -100%;
}

::placeholder {
    color: #BEBEBE;
}

input:not(.checkbox){
    height: 44px;
    width: 322px;
    padding-left: 15px;
    margin-bottom: 15px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    outline: none;
    font-size: 14px;
}

input:focus {
    border: none;
    box-shadow: 0px 3px 8px #00000036;
}

.checkbox {
  height: 20px;
  width: 20px;
}

.checkbox-text {
    font-size: 14px;
}

.checkbox-green-text {
    color: #3CB878;
    text-decoration: none;
    transition: .3s ease;
}

.checkbox-wrapper {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 20px;
}

.create-account-btn {
    background-color: #3CB878CC;
    border: none;
    border-radius: 4px;
    padding: 19px 99px 19px;
}

.header-icons svg:hover {
    fill: #3CB878;
}

.site-name:hover {
    color: #3CB878CC;
}

#custom-checkbox {
    display: none;
}

.custom-checkbox-tick {
    width: 20px;
    height: 20px;
    border: 1px solid #F2F2F2;
    position: relative;
}

.custom-checkbox-tick::before {
    content: '';
    width: 100%;
    height: 100%;
    background: url(./checkbox.svg) no-repeat center;
    position: absolute;
    opacity: 0;
    transition: .3s;
}

#custom-checkbox:checked + .custom-checkbox-tick::before {
    opacity: 1;
}

.header-greeting-hover-element:hover {
    color: #3CB878;
    transition: .3s ease;
}

.log-in:hover {
    text-decoration: underline;
    color: #01813F;
}

.facebook-btn:hover {
    background: #022263;
}

.google-btn:hover {
    background: #AB1F09;
}

.checkbox-green-text:hover {
    color: #01813F;
    border-bottom: 1px solid #01813F;
}

.create-account-btn:hover {
    background: #01813F;
}